| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Profile2D Class Reference

Inheritance diagram for Gaudi::Profile2D:

[legend]
Collaboration diagram for Gaudi::Profile2D:

[legend]
List of all members.

## Detailed Description

AIDA implementation for 2 D profiles using ROOT TProfile2D.

Author:
  M.Frank

Definition at line 16 of file P2D.cpp.

## Public Member Functions
| Profile2D ()
| Default Constructor.
| Profile2D (TProfile2D *rep)
| Default Constructor with representation object.
virtual | ~Profile2D ()
| Destructor.
bool | fill (double x, double y, double z, double weight)
| Fill bin content.
virtual const CLID & | clID () const
| Retrieve reference to class defininition identifier.
## Static Public Member Functions
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access).

## Constructor & Destructor Documentation

Gaudi::Profile2D::Profile2D | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 19 of file P2D.cpp.

References Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >::m_classType, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >::m_rep, and Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >::m_sumEntries.

Referenced by Profile2D().

    00019                 {
    00020       m_classType = "IProfile2D";
    00021       m_rep = new TProfile2D();
    00022       m_rep->SetErrorOption("s");
    00023       m_rep->SetDirectory(0);
    00024       m_sumEntries = 0;
    00025     }

Gaudi::Profile2D::Profile2D | ( | TProfile2D * | rep | ) |

Default Constructor with representation object.

Definition at line 94 of file P2D.cpp.

References Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >::adoptRepresentation(), Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >::m_classType, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >::m_rep, Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >::m_sumEntries, and Profile2D().

    00094                                             {
    00095   m_rep = 0;
    00096   m_classType = "IProfile2D";
    00097   rep->SetDirectory(0);
    00098   adoptRepresentation(rep);
    00099   m_sumEntries = 0;
    00100 }

virtual Gaudi::Profile2D::~Profile2D | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 29 of file P2D.cpp.

    00029 {}

## Member Function Documentation

bool Gaudi::Profile2D::fill | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | weight |
| ) |  |  | `[inline]`

Fill bin content.

Definition at line 31 of file P2D.cpp.

References Gaudi::Generic2D< AIDA::IProfile2D, TProfile2D >::m_rep.

    00031                                                          {
    00032       m_rep->Fill(x,y,z,weight);
    00033       return true;
    00034     }

virtual const CLID& Gaudi::Profile2D::clID | ( |  | ) | const`[inline, virtual]`

Retrieve reference to class defininition identifier.

Reimplemented from DataObject.

Definition at line 36 of file P2D.cpp.

References classID(), and clID().

Referenced by clID().

    00036 { return Gaudi::Profile2D::classID(); }

static const CLID& Gaudi::Profile2D::classID | ( |  | ) | `[inline, static]`

Retrieve reference to class definition structure (static access).

Reimplemented from DataObject.

Definition at line 37 of file P2D.cpp.

References classID(), and CLID_ProfileH2.

Referenced by classID(), and clID().

    00037 { return CLID_ProfileH2; }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/HistogramSvc/P2D.cpp